// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../../../in/request/FormatValidation";
export default class GetHoldsIdForByPartitionRequest extends ValidatedRequest {
    securityId;
    targetId;
    partitionId;
    start;
    end;
    constructor({ securityId, targetId, partitionId, start, end, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            targetId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            partitionId: FormatValidation.checkBytes32Format(),
            start: FormatValidation.checkNumber({ min: 0 }),
            end: FormatValidation.checkNumber({ min: 0 }),
        });
        this.securityId = securityId;
        this.targetId = targetId;
        this.partitionId = partitionId;
        this.start = start;
        this.end = end;
    }
}
